<?php get_header(); ?>

    <?php if (is_search()) {
    
        echo "<h2 id='page-sub-title'>Haun tulokset</h2>";
    
    } elseif (is_month()) {
    
        echo "<h2 id='page-sub-title'>Arkisto: "; ?> <?php the_time('F, Y') ?> <?php echo "</h2>";
    
    } ?> 

		<?php if(have_posts()) : while(have_posts()) : the_post(); ?>
		
		<div class="post clearfix" id="post-<?php the_ID(); ?>">
			<p class="byline">
				<span class="date"><?php the_time('j.n.Y'); ?></span><br /><em>by</em> <?php the_author(); ?>
			</p>		
			<h1 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
			
			<?php if ((!is_search()) and (!is_archive())) { ?>
			<span class="para">&#182;</span>
			<div class="entry">
				<?php the_content(''); ?>
				<p class="continue"><a href="<?php the_permalink(); ?>"><em>Tämän merkinnän omalle sivulle</em></a></p>
			</div>
			<?php } ?>
				
		</div> <!-- .post -->
		
		<?php endwhile; else : ?>
		
		<div class="post">
				
			<p class="byline">
				Täydellinen<br />epäonnistuminen
			</p>
			<h2 class="title">Mitään ei löytynyt!</h2>
			
			<br /><br />
				
		</div> <!-- .post -->
		
		<?php endif; ?>
			
		<div class="navigation clear">
			<div class="alignleft"><?php next_posts_link('&laquo; Vanhemmat merkinnät') ?></div>
			<div class="alignright"><?php previous_posts_link('Uudemmat merkinnät &raquo;') ?></div>
		</div>		

<?php get_footer(); ?>